/[gentoo-x86]/net-misc/leechcraft-core/leechcraft-core-9999.ebuild
Gentoo

Contents of /net-misc/leechcraft-core/leechcraft-core-9999.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.10 - (show annotations) (download)
Sat Oct 13 14:12:16 2012 UTC (2 years, 2 months ago) by pinkbyte
Branch: MAIN
Changes since 1.9: +10 -1 lines
Live version does not build anymore with gcc 4.5 or older

(Portage version: 2.2.0_alpha134/cvs/Linux x86_64)

1 # Copyright 1999-2012 Gentoo Foundation
2 # Distributed under the terms of the GNU General Public License v2
3 # $Header: /var/cvsroot/gentoo-x86/net-misc/leechcraft-core/leechcraft-core-9999.ebuild,v 1.9 2012/09/03 12:14:27 pinkbyte Exp $
4
5 EAPI="4"
6
7 EGIT_REPO_URI="git://github.com/0xd34df00d/leechcraft.git"
8 EGIT_PROJECT="leechcraft-${PV}"
9
10 inherit eutils confutils leechcraft
11
12 DESCRIPTION="Core of LeechCraft, the modular network client"
13
14 SLOT="0"
15 KEYWORDS=""
16 IUSE="debug +sqlite postgres"
17
18 DEPEND=">=dev-libs/boost-1.46
19 x11-libs/qt-core:4
20 x11-libs/qt-gui:4
21 x11-libs/qt-script:4
22 x11-libs/qt-sql:4[postgres?,sqlite?]"
23 RDEPEND="${DEPEND}
24 x11-libs/qt-svg:4"
25
26 REQUIRED_USE="|| ( postgres sqlite )"
27
28 # TODO: Maybe simplify this or add apropriate function to leechcraft eclass?
29 pkg_pretend() {
30 if [[ ${MERGE_TYPE} != binary ]]; then
31 [[ $(gcc-major-version) -lt 4 ]] || \
32 ( [[ $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 6 ]] ) \
33 && die "Sorry, but gcc 4.6 or higher is required."
34 fi
35 }
36
37 src_configure() {
38 local mycmakeargs=(
39 -DWITH_PLUGINS=False
40 )
41 if [[ ${PV} != 9999 ]]; then
42 mycmakeargs+=( -DLEECHCRAFT_VERSION=${PV} )
43 fi
44 cmake-utils_src_configure
45 }
46
47 src_install() {
48 cmake-utils_src_install
49 make_desktop_entry leechcraft "LeechCraft" leechcraft.png
50 }

  ViewVC Help
Powered by ViewVC 1.1.20